Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687591 - fawkes has dependency on mongodb-server
Summary: fawkes has dependency on mongodb-server
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: fawkes
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1674872
Blocks: 1677379
TreeView+ depends on / blocked
 
Reported: 2019-03-11 20:04 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-04-08 09:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-08 07:03:54 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2019-03-11 20:04:37 UTC
Description of problem:
mongo has been removed from Fedora 30+, see linked bug.

Comment 1 Miro Hrončok 2019-04-07 17:42:30 UTC
Tim, this has high severity, are you available to look at it?

Comment 2 Tim Niemueller 2019-04-07 19:52:16 UTC
Yes, I'll have a look tomorrow.

Comment 3 Tim Niemueller 2019-04-08 07:03:54 UTC
Just checked, it's a conditional part already (bcond_with). Till had already done that in February before this bug was even filed. Therefore closing as works for me.

Comment 4 Till Hofmann 2019-04-08 07:16:19 UTC
Yes, I removed the dependency, but fawkes is currently FTBFS, which is why the dependency still shows up if you query the repository.

Comment 5 Tim Niemueller 2019-04-08 07:26:06 UTC
Is the FTBFS fixed in the upcoming 1.2 release? Then it would make sense to upgrade directly (release imminent). Otherwise we may want to include any necessary fixes before the release.

Comment 6 Till Hofmann 2019-04-08 07:57:58 UTC
It's because of the new webview, the package hasn't been adapted to that.

Comment 7 Miro Hrončok 2019-04-08 09:24:22 UTC
fawkes-devenv-0:1.0.1-18.fc29.x86_64 still runtime requires mongodb-server. The package needs to be rebuilt to have this fixed.


Note You need to log in before you can comment on or make changes to this bug.